Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST tickets/:id/customer_response

Ostatnia modyfikacja 1970-01-02 01:00:00

Dodanie odpowiedzi od klienta do zgłoszenia.

URL

https://your-system-name.thulium.com/api/tickets/:id/customer_response

Parametry

id

wymagany

Identyfikator zgłoszenia. Przykładowa wartość: 1234
body

wymagany

Treść odpowiedzi (jako tekst lub HTML). Przykładowa wartość:

This is body.

body_type

opcjonalny

Typ odpowiedzi.
Domyślna wartość: HTML. Przykładowa wartość: HTML|PLAIN
date

opcjonalny

Data odpowiedzi Przykładowa wartość: 2014-07-14 12:34

Przykładowy request

POST https://your-system-name.thulium.com/api/tickets/1234/customer_response
Dane {"body":"Hello world."}

Przykładowy response

<!-- pusty -->

Przykładowe wywołanie


PHP
<?php
$data = '{"body":"Hello world."}';

$request = curl_init('https://your-system-name.thulium.com/api/tickets/1234/customer_response');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/tickets/1234/customer_response", "{\"body\":\"Hello world.\"}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{"body":"Hello world."}' "https://your-system-name.thulium.com/api/tickets/1234/customer_response"

HTTPie
echo '{"body":"Hello world."}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/tickets/1234/customer_response